package auth

import (
	"gitea.com/macaron/binding"
	"gitea.com/macaron/macaron"
)

type CreateModelArtsNotebookForm struct {
	JobName    string `form:"job_name" binding:"Required"`
	Attachment string `form:"attachment" binding:"Required"`
	Description string `form:"description"`
}

func (f *CreateModelArtsNotebookForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}

type CreateModelArtsTrainJobForm struct {
	JobName    string `form:"job_name" binding:"Required"`
	Attachment string `form:"attachment" binding:"Required"`
	BootFile string `form:"boot_file" binding:"Required"`
	WorkServerNumber int `form:"work_server_number" binding:"Required"`
	EngineID int `form:"engine_id" binding:"Required"`
	Flavor string `form:"flavor" binding:"Required"`
	Description string `form:"description"`
}

func (f *CreateModelArtsTrainJobForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}
